clear
addpath('..\functions');
dfolder=('./data/');
sfolder='.\results\';

beep off;
id=20;
maxfile=100;
filex=1;
for file=1:maxfile
   fname=strcat(dfolder,'datax',num2str(file),'.mat');
sname=strcat(sfolder,'results',num2str(file),'.mat');
if exist(sname,'file')
load(fname)
load(sname)
irfmc=cumsum(irfm1,2);
tmp2=squeeze(irfmc(:,id,2));
tmp1=squeeze(irfmc(:,id,1));
tmp3=squeeze(irfmc(:,id,3));

yhat1c=cumsum(irfz01(22:end,:,1),2);
yhat2c=cumsum(irfz01(22:end,:,2),2);
yhat3c=cumsum(irfz01(22:end,:,3),2);



tmp2z=squeeze(irfmc(:,1,2));
tmp1z=squeeze(irfmc(:,1,1));
tmp3z=squeeze(irfmc(:,1,3));


out1(:,filex)=tmp1';
out2(:,filex)=tmp2';
out3(:,filex)=tmp3';

out1z(:,filex)=tmp1z';
out2z(:,filex)=tmp2z';
out3z(:,filex)=tmp3z';

filex=filex+1;
end


end

pp=[50 16 84];
yhat1x=prctile(out1,pp,2);
yhat2x=prctile(out2,pp,2);
yhat3x=prctile(out3,pp,2);

yhat1z=prctile(out1z,pp,2);
yhat2z=prctile(out2z,pp,2);
yhat3z=prctile(out3z,pp,2);

tmp2x=yhat2c(:,1);
tmp1x=yhat1c(:,1);
tmp3x=yhat3c(:,1);


figure(1)
HH=1:199;
subplot(2,3,1)
plotx2(HH',yhat1z)
hold on
plot(HH,tmp1x,'k')
xlabel('Time')
title('Y_{1t}')
ylabel('Horizon 0')
subplot(2,3,2)
plotx2(HH',yhat2z)
hold on
plot(HH,tmp2x,'k')
xlabel('Time')
title('Y_{2t}')
subplot(2,3,3)
plotx2(HH',yhat3z)
hold on
plot(HH,tmp3x,'k')
xlabel('Time')
title('Y_{3t}')

%
tmp2x=yhat2c(:,id);
tmp1x=yhat1c(:,id);
tmp3x=yhat3c(:,id);
subplot(2,3,4)
plotx2(HH',yhat1x)
hold on
plot(HH,tmp1x,'k')
xlabel('Time')
title('Y_{1t}')
ylabel('Horizon 20')
subplot(2,3,5)
plotx2(HH',yhat2x)
hold on
plot(HH,tmp2x,'k')
xlabel('Time')
title('Y_{2t}')
subplot(2,3,6)
plotx2(HH',yhat3x)
hold on
plot(HH,tmp3x,'k')
xlabel('Time')
title('Y_{3t}')

