function [ F11,F22,F33,F44,F55,F66,F77,F88,F99,F1010] = correlations( ss,bb,hh,n,l )
TT=size(ss,1);
pred=zeros(TT,n);

for j=1:TT
    [FF,mu]=compx(ss(j,:),n,l,1);
    A=chofac(n,bb(j,:)');
    iA=invpd(A);
    covmat=iA*diag(hh(j+1,:))*iA';
    OMEGA=zeros(rows(FF),rows(FF));
    OMEGA(1:n,1:n)=covmat;
    %unconditional variance
    uvar=doublej(FF,OMEGA);
    g=uvar(1:n,1:n);
    
     F11(j)=real(g(2,1))/sqrt(real(g(1,1))*real(g(2,2)));
        F22(j)=real(g(3,1))/sqrt(real(g(1,1))*real(g(3,3)));
        F33(j)=real(g(4,1))/sqrt(real(g(1,1))*real(g(4,4)));
        F44(j)=real(g(5,1))/sqrt(real(g(1,1))*real(g(5,5)));
        %
        F55(j)=real(g(3,2))/sqrt(real(g(2,2))*real(g(3,3)));
        F66(j)=real(g(4,2))/sqrt(real(g(4,4))*real(g(2,2)));
        F77(j)=real(g(5,2))/sqrt(real(g(5,5))*real(g(2,2))); 
        %
        F88(j)=real(g(4,3))/sqrt(real(g(4,4))*real(g(3,3)));  
        F99(j)=real(g(5,3))/sqrt(real(g(5,5))*real(g(3,3))); 
        %
        F1010(j)=real(g(5,4))/sqrt(real(g(5,5))*real(g(4,4))); 
        %
    
    
    
    
    
    
    
    
    
    
    
    
    
   
    pred(j,:)=diag(uvar(1:n,1:n))';
    
    
end
        