function [ymat,m_t]=draw_data_1(T,N,amat,beta,hlast,q1,betam,sigmav,L)


%generate state variables
    
    A0t=zeros(N,N,T);
    for t=1:T
      A0t(:,:,t)=chofac(N,amat(t,:)')*(diag(hlast(t,:).^0.5));
 
    end
    

ymat=zeros(T,N);
m_t=zeros(T,1);
for t=2:T

A0=A0t(:,:,t);
sigma=A0*A0';
trm1=betam*q1'*A0';
trm2=betam*betam'+sigmav;
covmat=[sigma trm1';[trm1 trm2]];


resid=mvnrnd(zeros(1,N+1),covmat,1);%epsilon(t,:)*abig';
m_t(t,:)=resid(end);
xmat=[ymat(t-1,:)  1];

ymat(t,:)=xmat*reshape(beta(t,:)',N*L+1,N)+resid(1:N);







end
