function out= getMCMC( theta0,blast,N,L,k,bounds,pshape,p1,p2,REPS,BURN )
K=length(theta0);
options = optimset('Disp','iter','Diagnostics','on','LargeScale','off',...
    'MaxFunEvals',100000,'MaxIter',5000,'TolFun',1e-05,'TolX',1e-05);
[bold,pold] = fminsearch(@objfuncprior, theta0',options,blast(1,:),N,L,k,bounds,pshape,p1,p2,0);
P=eye(K)*0.01;
out=zeros(REPS-BURN,K);
 pold=objfuncprior(bold,blast,N,L,k,bounds,pshape,p1,p2,1);
naccept=0;
 ii=1;
 for i=1:REPS
      %step 1 Generate new draw from random walk
    bnew=bold+(randn(1,length(bold))*P)';
    pnew=objfuncprior(bnew,blast,N,L,k,bounds,pshape,p1,p2,1);
    
%     [pnew pold]
     
          accept=min([exp(pnew-pold) 1]);
 
    
    u=rand(1,1);
    if u<accept
        bold=bnew;
        pold=pnew;
        naccept=naccept+1;
    end
    arate=(naccept/i);
    if i>100 && i<2000
        if arate<0.25
            P=P*0.99;
        elseif arate>0.5;
            P=P*1.01;
        end
    end
     disp(sprintf('Iteration Number=%s Acceptance =%s ', num2str([i]),num2str(arate)));
if i>=BURN
out(ii,:)=bold';
ii=ii+1;
end
 end
     

end

