function yhat = get_paths(N, HORZ, T, L, Y, beta2, hlast,amat,gmat,qmat,qamat)



%compute forecast
hhat=zeros(HORZ+L,N);
bhat=zeros(HORZ+L,cols(beta2));
ahat=zeros(HORZ+L,cols(amat));
bhat(L,:)=beta2(end,:);
ahat(L,:)=amat(end,:);
hhat(L,:)=log(hlast(end,:));
yhat=zeros(HORZ+L,N);
yhat(1:L,:)=Y(T-L+1:T,:);
Q=diag(sqrt(gmat));
cqmat=chol(qmat);
cqamat=chol(qamat);
for fi=L+1:HORZ+L
    hhat(fi,:)=hhat(fi-1,:)+randn(1,N)*Q;
    ahat(fi,:)=ahat(fi-1,:)+randn(1,cols(amat))*cqamat;
    bhat(fi,:)=bhat(fi-1,:)+randn(1,cols(beta2))*cqmat;
%     epsilon=zeros(1,N);
%         for jj=1:N
%             epsilon(1,jj)=trnd(dof(jj),1,1).*sqrt(exp(hhat(fi,jj)));
%         end
epsilon=randn(1,N).*sqrt(exp(hhat(fi,:)));
    xhat=[];
    for ji=1:L
        xhat=[xhat yhat(fi-ji,:)];
    end
    xhat=[xhat 1];
    iamat=invpd(chofac(N,ahat(fi,:)'));
  
    yhat(fi,:) = xhat*reshape(bhat(fi,:),N*L+1,N) + epsilon*iamat';
    
end
