function [F,A0]=getequations_2(theta,sigma,mu)
N=rows(sigma);
%extract parameters
b11=theta(1);
b21=theta(2);
b12=theta(3);
b22=theta(4);

A0=[b11 b21;
    b12 b22
    ];

sigmahat=A0'*A0;

%get only elements on and below diagonal
sigmavec=tril(sigma);
sigmavec=sigmavec(sigmavec~=0);
sigmahatvec=tril(sigmahat);
sigmahatvec=sigmahatvec(sigmahatvec~=0);
F1=sigmahatvec-sigmavec;
F2=b21/b11-mu(1);
F=[F1;F2];
