function [ irf1,irf2,irf3 ] =getirf( A0,Y0,B,A,H,REPS,N,HORZ,L,EX,Q,Qa,g )
Ym=0;
Ym1=0;
Ym2=0;
Ym3=0;
cQ=chol(Q);
cQa=chol(Qa);
cg=chol(diag(g));
for k=1:REPS

%starting values
b=zeros(HORZ+L,N*(N*L+EX));
b(L,:)=B;
a=zeros(HORZ+L,(N*(N-1))/2);
a(L,:)=A;
h=zeros(HORZ+L,N);
h(L,:)=log(H);
Y1=zeros(HORZ+L,N);
Y1(1:L,:)=Y0;
Y2=Y1;Y3=Y1;
Y=Y1;
for j=L+1:HORZ+L
    b(j,:)=b(j-1,:)+randn(1,N*(N*L+EX))*cQ;
    a(j,:)=a(j-1,:)+randn(1,(N*(N-1))/2)*cQa;
    h(j,:)=h(j-1,:)+randn(1,N)*cg;
    amat=chofac(N,a(j,:)');
    iamat=invpd(amat);
    sigma=iamat*diag(exp(h(j,:)))*iamat';
    aa=chol(sigma);
    varcoef=reshape(b(j,:),N*L+EX,N);
    X=[];X1=[];X2=[];X3=[];
    for i=1:L
        X=[X Y(j-i,:)];
        X1=[X1 Y1(j-i,:)];
         X2=[X2 Y2(j-i,:)];
          X3=[X3 Y3(j-i,:)];
    end
    
        
    
    %L+1
    if j==L+1
        Y(j,:)=[X 1]*varcoef;
        Y1(j,:)=[X1 1]*varcoef+[1 0 0]*A0;
        Y2(j,:)=[X2 1]*varcoef+[0 1 0]*A0;
        Y3(j,:)=[X3 1]*varcoef+[0 0 1]*A0;
    else
      Y(j,:)=[X 1]*varcoef+randn(1,N)*aa;
        Y1(j,:)=[X1 1]*varcoef+randn(1,N)*aa;
        Y2(j,:)=[X2 1]*varcoef+randn(1,N)*aa;
        Y3(j,:)=[X3 1]*varcoef+randn(1,N)*aa; 
    end
end
Ym=Ym+Y;
Ym1=Ym1+Y1;
Ym2=Ym2+Y2;
Ym3=Ym3+Y3;
end
Ym=Ym/REPS;
Ym1=Ym1/REPS;
Ym2=Ym2/REPS;
Ym3=Ym3/REPS;

irf1=Ym1-Ym;
irf2=Ym2-Ym;
irf3=Ym3-Ym;

irf1=irf1(L+1:end,:);
irf2=irf2(L+1:end,:);
irf3=irf3(L+1:end,:);



end

