function fprobx= getstart( data,L,reps,T0 )

Y=data*10;
%take lags
X=[];
for j=1:L
X=[X lag0(Y,j) ];
end
X=[X ones(rows(X),1)];
Y=Y(T0+L+1:end,:);
X=X(T0+L+1:end,:);
N=cols(Y);
bols=X\Y;
bols1=[bols(1:N*L,:);abs(bols(N*L+1,:))*-1];
bols2=[bols(1:N*L,:);abs(bols(N*L+1,:))*2];

e=Y-X*bols;
sig1=(e'*e)/(rows(X)-cols(X));
sig2=sig1/3;
sig3=sig1;
A1=vecr(chol(sig1)');
A2=vecr(chol(sig2)');
A3=vecr(chol(sig3)');

A1=A1(A1~=0);
A2=A2(A2~=0);
A3=A3(A3~=0);
theta0=[vec(bols);A1;A2;A3;4;4];
 [fval,theta2,gh,hess,itct,fcount,retcodeh] = csminwel('hamiltonfilterML3',theta0,eye(length(theta0))*.5,[],1e-15,reps,Y,X,N,L);
 [lik,fprob,fprobs]=hamiltonfilterML3(theta2,Y,X,cols(Y),L);


fprobx=[fprobs(1:L,:);fprobs];

end