function out=objfuncprior(theta,blast,N,L,k,bounds,pshape,p1,p2,switchx)
check=sum(theta<=bounds(:,1) | theta>=bounds(:,2))>0;
if check
    out=inf;
    if switchx
        out=out*-1;
    end
    return
else
K=k+1;
A=compx(blast,N,L);
id=eye(N*L);
eO=id(1,:);
eY=id(2,:);
eP=id(3,:);
eR=id(4,:);
eS=id(5,:);

LHS=eR*A;
rho=theta(1);
bO=theta(2);
bY=theta(3);
bP=theta(4);
bS=theta(5);
AK=A^K;
oil=eO*AK;
gdp=eY*AK;
cpi=eP*AK;
erate=eS*AK;
 RHS=(1-rho)*(bO*oil+bY*gdp+bP*cpi+bS*erate)+rho*eR;
% RHS=bO*oil+bY*gdp+bP*cpi+bS*erate+rho*eR;

mom=LHS-RHS;

%evaluate prior
 logpri     = priorln(theta, pshape, p1, p2);
 out=(mom*mom')+(-logpri);
    
 if isnan(out) || isinf(out) || ~isreal(out)
     out=inf;
 end
 
  if switchx
        out=out*-1;
    end

end