function [pred,pred1] = predictability4( ss,bb,hh,n,l,horz )
TT=size(ss,1);
pred=zeros(TT,1);

for j=1:TT
    [FF,mu]=compx4(ss(j,:),n,l,1);
    A=chofac(n,bb(j,:)');
    iA=invpd(A);
    covmat=iA*diag(hh(j+1,:))*iA';
    OMEGA=zeros(rows(FF),rows(FF));
    OMEGA(1:n,1:n)=covmat;
    %unconditional variance
    uvar=doublej(FF,OMEGA);
    %conditional variance
    cvar=doublejH(FF,OMEGA,horz);
    
    R2=1-(cvar./uvar);
    pred(j,:)=R2(3,3);
    pred1(j,:)=R2(4,4);
    
end
        