function [ F11,F22,F33,F44,F55,ww ] = spectrum( ss,bb,hh,n,l )
TT=size(ss,1);
TT2=ceil(TT/2);
%initialise frequency
w = zeros(TT,1);
ww=zeros(TT,1);
  im = sqrt(-1);
for j=1:TT
 w(j,1) = exp(-2.0*im*pi*(j-1)/TT); 
ww(j,1)=2*pi*(j-1)/TT;
end

F11=zeros(TT2,TT);
F22=F11;
F33=F11;
F44=F11;
F55=F11;

for j=1:TT
    [FF,mu]=comp(ss(j,:),n,l,1);
    A=chofac(n,bb(j,:)');
    iA=invpd(A);
    covmat=iA*diag(hh(j+1,:))*iA';
    OMEGA=zeros(rows(FF),rows(FF));
    OMEGA(1:n,1:n)=covmat;
    for i=1:TT2
        tr=invpd(eye(cols(FF))-FF*w(i,1));
        g=(tr*OMEGA*tr')./(2*pi);
        
        F11(i,j)=real(g(1,1));
        F22(i,j)=real(g(2,2));
        F33(i,j)=real(g(3,3));
        F44(i,j)=real(g(4,4));
        F55(i,j)=real(g(5,5));
    end
end
        