function [pred,corr] = volatility( ss,bb,hh,n,l )
TT=size(ss,1);
pred=zeros(TT,n);

for j=1:TT
    [FF,mu]=compx(ss(j,:),n,l,1);
    A=chofac(n,bb(j,:)');
    iA=invpd(A);
    covmat=iA*diag(hh(j+1,:))*iA';
    OMEGA=zeros(rows(FF),rows(FF));
    OMEGA(1:n,1:n)=covmat;
    %unconditional variance
    uvar=doublej(FF,OMEGA);
    omega=uvar(1:n,1:n);
    corr(j)=omega(2,1)/sqrt(omega(1,1)*omega(2,2));
   
    pred(j,:)=diag(uvar(1:n,1:n))';
    
    
end
        