function [ F11,F22,F33,F44,F55,F66,F77,F88,F99,F1010,ww,g ] = coherence( ss,bb,hh,n,l )
TT=size(ss,1);
TT2=ceil(TT/2);
%initialise frequency
w = zeros(TT,1);
ww=zeros(TT,1);
  im = sqrt(-1);
for j=1:TT
 w(j,1) = exp(-2.0*im*pi*(j-1)/TT); 
ww(j,1)=pi*(j-1)/TT;
end

F11=zeros( TT2,TT);
F22=F11;
F33=F11;
F44=F11;
F55=F11;
F66=F11;
F77=F11;
F88=F11;
F99=F11;
F1010=F11;
F1111=F11;
F1212=F11;
F1313=F11;
F1414=F11;
F1515=F11;


for j=1:TT
    [FF,mu]=compx(ss(j,:),n,l,1);
    A=chofac(n,bb(j,:)');
    iA=invpd(A);
    covmat=iA*diag(hh(j+1,:))*iA';
    OMEGA=zeros(rows(FF),rows(FF));
    OMEGA(1:n,1:n)=covmat;
    for i=1:TT2
        tr=invpd(eye(cols(FF))-FF*w(i,1));
        g=(tr*OMEGA*tr')./(2*pi);
        
         F11(i,j)=real(g(2,1))/sqrt(real(g(1,1))*real(g(2,2)));
        F22(i,j)=real(g(3,1))/sqrt(real(g(1,1))*real(g(3,3)));
        F33(i,j)=real(g(4,1))/sqrt(real(g(1,1))*real(g(4,4)));
        F44(i,j)=real(g(5,1))/sqrt(real(g(1,1))*real(g(5,5)));
        %
        F55(i,j)=real(g(3,2))/sqrt(real(g(2,2))*real(g(3,3)));
        F66(i,j)=real(g(4,2))/sqrt(real(g(4,4))*real(g(2,2)));
        F77(i,j)=real(g(5,2))/sqrt(real(g(5,5))*real(g(2,2))); 
        %
        F88(i,j)=real(g(4,3))/sqrt(real(g(4,4))*real(g(3,3)));  
        F99(i,j)=real(g(5,3))/sqrt(real(g(5,5))*real(g(3,3))); 
        %
        F1010(i,j)=real(g(5,4))/sqrt(real(g(5,5))*real(g(4,4))); 
        %
        
    end
end
        