function [Bestimate,RM]=getB(sigma,M,k,Sigmm,mu1,t,m)
tau=sigma(M+1:end,1:M);
    Phib11  = tau(1:k,1:k);
Phib21  = tau(1:k,k+1:M);
b21ib11 = (Phib11\Phib21)';  %EQ A4
  
Sig11   = sigma(1:k,1:k);
Sig21   = sigma(k+1:M,1:k);
Sig22   = sigma(k+1:M,k+1:M);
ZZp     = b21ib11*Sig11*b21ib11'-(Sig21*b21ib11'+b21ib11*Sig21')+Sig22;
b12b12p = (Sig21- b21ib11*Sig11)'*(ZZp\(Sig21- b21ib11*Sig11));
b11b11p = Sig11-b12b12p;
b22b22p = Sig22+b21ib11*(b12b12p-Sig11)*b21ib11';
b12ib22   = ((Sig21- b21ib11*Sig11)'+b12b12p*b21ib11')/(b22b22p');
b11iSig = eye(k)/(eye(k)-b12ib22*b21ib11);
b21iSig = b21ib11*b11iSig;
SigmaTSigmaTp =b11iSig\b11b11p/b11iSig';
Bestimate=[b11iSig;b21iSig]*chol(SigmaTSigmaTp)';

%reliability
ED    = eye(k)*sum(sum(m(t),2)~=0);
 PhiPhip = mu1*inv(b11b11p)*mu1';
 RM    = inv(Sigmm)*PhiPhip*inv(ED);