function [ yhat] = ...
    getforecast2( VarBench,HORZ,N,Yin,varcoef1,varcoef2,sigma1,sigma2,fprob,pr_tr,qr_tr )


L       = VarBench.L;
PMAT=kron(pr_tr,qr_tr);
% //           Mean   Variance
% //           0         0
% //           0         1
% //           1         0
% //           1         1

beta1=varcoef1;
beta2=varcoef1;
beta3=varcoef2;
beta4=varcoef2;
sig1=sigma1;
sig2=sigma2;
sig3=sigma1;
sig4=sigma2;

A1=chol(sig1);
A2=chol(sig2);
A3=chol(sig3);
A4=chol(sig4);




yhat=zeros(HORZ+L,N);
T=rows(Yin);
yhat(1:L,:)=Yin(T-L+1:T,:);

ett11=fprob(end,:)';

for i=L+1:rows(yhat)
  
%project filter probabilitites
ett10=PMAT*ett11;


xhat=[];
    for j=1:L
        xhat=[xhat yhat(i-j,:)];
    end
    xhat=[xhat 1];
  yhat1=xhat*beta1+randn(1,N)*A1;
  yhat2=xhat*beta2+randn(1,N)*A2;
  yhat3=xhat*beta3+randn(1,N)*A3;
  yhat4=xhat*beta4+randn(1,N)*A4;
  
 yhat(i,:)=(yhat1.*ett10(1))+(yhat2.*ett10(2))+(yhat3.*ett10(3))+(yhat4.*ett10(4)); 
 ett11=ett10;
end
end