function [fprob,lik]=...
    getlikelihoodI4(varcoef1,varcoef2,varcoef3,varcoef4,sigma1,sigma2,sigma3,sigma4,pp,qq,y,x)

T=rows(y);
pr_tr=kron(pp,qq);
% //           Mean   Variance
% //           0         1
% //           0         2
%//            0         3
%              0         4
% //           1         1
% //           1         2
%//            1         3
%              1         4
%//            2         1
%//            2         2
%//            2         3
%              2         4
%               3        1
%               3        2
%               3        3
%                3       4

beta1=varcoef1;
beta2=varcoef1;
beta3=varcoef1;
beta4=varcoef1;
beta5=varcoef2;
beta6=varcoef2;
beta7=varcoef2;
beta8=varcoef2;
beta9=varcoef3;
beta10=varcoef3;
beta11=varcoef3;
beta12=varcoef3;
beta13=varcoef4;
beta14=varcoef4;
beta15=varcoef4;
beta16=varcoef4;


sig1=sigma1;
sig2=sigma2;
sig3=sigma3;
sig4=sigma4;

sig5=sigma1;
sig6=sigma2;
sig7=sigma3;
sig8=sigma4;


sig9=sigma1;
sig10=sigma2;
sig11=sigma3;
sig12=sigma4;


sig13=sigma1;
sig14=sigma2;
sig15=sigma3;
sig16=sigma4;


isig1=invpd(sig1);
isig2=invpd(sig2);
isig3=invpd(sig3);
isig4=invpd(sig4);
isig5=invpd(sig5);
isig6=invpd(sig6);
isig7=invpd(sig7);
isig8=invpd(sig8);
isig9=invpd(sig9);
isig10=invpd(sig10);
isig11=invpd(sig11);
isig12=invpd(sig12);
isig13=invpd(sig13);
isig14=invpd(sig14);
isig15=invpd(sig15);
isig16=invpd(sig16);


dsig1=det(sig1);
dsig2=det(sig2);
dsig3=det(sig3);
dsig4=det(sig4);
dsig5=det(sig5);
dsig6=det(sig6);
dsig7=det(sig7);
dsig8=det(sig8);
dsig9=det(sig9);
dsig10=det(sig10);
dsig11=det(sig11);
dsig12=det(sig12);
dsig13=det(sig13);
dsig14=det(sig14);
dsig15=det(sig15);
dsig16=det(sig16);

%*******************************************step 2 initialise for filter(ergodic probabiltites)r************************************@
%transition probability matrix


ett=[1;zeros(15,1)];

%**************************************************Step 1 Filter Forward Iteration*****************@
lik=0;
fprob=zeros(T,16);
for it=1:T

em1=y(it,:)-x(it,:)*beta1;
em2=y(it,:)-x(it,:)*beta2;
em3=y(it,:)-x(it,:)*beta3;
em4=y(it,:)-x(it,:)*beta4;
em5=y(it,:)-x(it,:)*beta5;
em6=y(it,:)-x(it,:)*beta6;
em7=y(it,:)-x(it,:)*beta7;
em8=y(it,:)-x(it,:)*beta8;
em9=y(it,:)-x(it,:)*beta9;

em10=y(it,:)-x(it,:)*beta10;
em11=y(it,:)-x(it,:)*beta11;
em12=y(it,:)-x(it,:)*beta12;
em13=y(it,:)-x(it,:)*beta13;
em14=y(it,:)-x(it,:)*beta14;
em15=y(it,:)-x(it,:)*beta15;
em16=y(it,:)-x(it,:)*beta16;


neta1=(1/sqrt(dsig1))*exp(-0.5*(em1*isig1*em1'));%F(Y\S=1)
neta2=(1/sqrt(dsig2))*exp(-0.5*(em2*isig2*em2'));%F(Y\S=2)
neta3=(1/sqrt(dsig3))*exp(-0.5*(em3*isig3*em3'));%F(Y\S=3)
neta4=(1/sqrt(dsig4))*exp(-0.5*(em4*isig4*em4'));%F(Y\S=4)

neta5=(1/sqrt(dsig5))*exp(-0.5*(em5*isig5*em5'));%F(Y\S=5)
neta6=(1/sqrt(dsig6))*exp(-0.5*(em6*isig6*em6'));%F(Y\S=6)
neta7=(1/sqrt(dsig7))*exp(-0.5*(em7*isig7*em7'));%F(Y\S=7)
neta8=(1/sqrt(dsig8))*exp(-0.5*(em8*isig8*em8'));%F(Y\S=8)
neta9=(1/sqrt(dsig9))*exp(-0.5*(em9*isig9*em9'));%F(Y\S=9)

neta10=(1/sqrt(dsig10))*exp(-0.5*(em10*isig10*em10'));%F(Y\S=3)
neta11=(1/sqrt(dsig11))*exp(-0.5*(em11*isig11*em11'));%F(Y\S=4)

neta12=(1/sqrt(dsig12))*exp(-0.5*(em12*isig12*em12'));%F(Y\S=5)
neta13=(1/sqrt(dsig13))*exp(-0.5*(em13*isig13*em13'));%F(Y\S=6)
neta14=(1/sqrt(dsig14))*exp(-0.5*(em14*isig14*em14'));%F(Y\S=7)
neta15=(1/sqrt(dsig15))*exp(-0.5*(em15*isig15*em15'));%F(Y\S=8)
neta16=(1/sqrt(dsig16))*exp(-0.5*(em16*isig16*em16'));%F(Y\S=9)



%hamilton filter kim and Nelson eq 4.19 and 4.20 pg63 also see equations 22.4.5 and 22.4.6 in Hamilton
ett1=ett.*([neta1;neta2;neta3;neta4;neta5;neta6;neta7;neta8;neta9;neta10;neta11;neta12;...
    neta13;neta14;neta15;neta16]);
fit=sum(ett1);
ett=(pr_tr*ett1)/fit;
fprob(it,:)=(ett1./fit)';
if fit>0
    lik=lik+log(fit);
else
    lik=lik-10;
end
end