function[beta_tt,lik]=kfiltervartest(Y,varcoef,Qin,beta0,P00,L,EX,scle)
T=rows(Y);
N=cols(Y);
%%Step 2a Set up matrices for the Kalman Filter
[F,mu]=comp(varcoef,N,L,EX);

ns=cols(F);
R=eye(N)*scle;

H=eye(N,ns);
Q=zeros(rows(F),rows(F));
Q(1:N,1:N)=Qin;


beta_tt=zeros(T,ns);          %will hold the filtered state variable
ptt=zeros(T,ns,ns);    % will hold its variance
beta11=beta0;
p11=P00;


% %%%%%%%%%%%Step 2b run Kalman Filter
lik=0;
for i=1:T
   x=H;
    %Prediction
beta10=mu'+beta11*F';
p10=F*p11*F'+Q;
yhat=(x*(beta10)')';                                               
eta=Y(i,:)-yhat;
feta=(x*p10*x')+R;
%updating
K=(p10*x')*invpd(feta);
beta11=(beta10'+K*eta')';
p11=p10-K*(x*p10);

ptt(i,:,:)=p11;
beta_tt(i,:)=beta11;
liki=-0.5*log(det(feta))+(-0.5*(eta)*inv(feta)*(eta'));
lik=lik+liki;
end


%%%%%%%%%%%end of Kalman Filter%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



